/* ==============================
Smalls devices (320px and larger)
================================= */
* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

/* Color Variables */
:root {
  --periwinkle: #CCCCFF;
  --magnolia: #F0F0FF;
  --mintgreen: #D1F0E7;
  --gray: #777780;
  --coral: #FC8264;
  --barnred: #771A03;
  --tiffanyblue: #97DEC9;
  --caribeancurrent: #1A6463;
  --midnightgreen: #103D3D;
  --russianviolet: #36013F;
  --melon: #FFE1D8;
  --black: #000000;
  --white: #fbfdfc;
  --gray-dark: #474747;

  --palepurple: #efdeff;
  --yale-blue: #7390f9;
  --Hex: #d8e1fe;
  --aliceblue: #DEEFFF;
  --french: #D2F6F7;
  --yellow-bus: #FFF5D1;

  --uranian-blue: #acdffe;
  --neon-blue: #5965f9;
  --persian-blue: #1241cd;
  --violet-blue: #1349c9;
  --black: #000000;
}

body {
  font-size: 16px;
  font-family: "Raleway", sans-serif;
  font-weight: 300;
  line-height: 1.6;
  color: var(--black);
}

h1 {
  color: var(--russian-violet);
  text-align: center;
  font-size: 2em;
  font-weight: 700;
  font-family: "Raleway", sans-serif;
  text-transform: uppercase;
  word-spacing: 1px;
  letter-spacing: 2px;
}

h2 {
  font-size: 1.8em;
  font-weight: 600;
  text-align: center;
  line-height: 1.125;
  font-family: "Playfair Display", sans-serif;
  color: var(--russian-violet);
  text-transform: uppercase;
}

.contact {
  text-align: center;
  /* Centra el texto horizontalmente */
  font-size: 2em;
  /* Tamaño de la fuente */
  font-weight: bold;
  /* Opcional: para darle más peso al texto */
}

h3 {
  font-size: 1.4em;
  font-weight: 500;
  line-height: 1.125;
  font-family: "Playfair Display", sans-serif;
  color: var(--caribeancurrent);
  border-radius: 2px;
}

h4 {
  font-size: 1.2em;
  font-weight: 450;
  line-height: 1.125;
  font-family: "Playfair Display", sans-serif;
  color: var(--gray-dark);
  text-transform: none;
}

@media (min-width: 768px) {

  h1,
  h2,
  h3,
  h4 {
    text-align: left;
    /* Align the text to the left */
  }
}

.untangled {
  font-size: 2em;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 100%;
  background: linear-gradient(to right,
      var(--neon-blue),
      var(--persian-blue),
      var(--violet-blue),
      var(--black));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: var(--size) var(--size);
  background-position: 0 0;
  animation: stripes 1s linear infinite;
}

.style1 {
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 100%;
  font-size: 2.5em;
  background: linear-gradient(to right,
      var(--neon-blue),
      var(--persian-blue),
      var(--violet-blue),
      var(--black));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: var(--size) var(--size);
  background-position: 0 0;
  animation: stripes 1s linear infinite;
}

.style3 {
  background: linear-gradient(to right,
      var(--midnightgreen),
      var(--caribeancurrent));
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: var(--size) var(--size);
  background-position: 0 0;
  animation: stripes 1s linear infinite;
}

@keyframes stripes {
  100% {
    background-position: var(--size) 0, var(--size) 0, var(--size) 0;
  }
}

/* Base styles for the heading */
.skills {
  text-align: left;
  position: relative;
  animation: colorChange 5s infinite;
  /* Apply the colorChange animation */
}

/* Buttons */
.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--caribeancurrent);
  color: white;
  font-weight: 400;
  font-size: 15px;
  text-decoration: none !important;
  padding: 0px 24px;
  height: 40px;
  min-width: 64px;
  border-radius: 20px;
  box-sizing: border-box;
  transition: box-shadow 0.2s, background-color 0.2s;
  transition-property: opacity;
}

.button:hover,
.button:active {
  text-decoration: none;
  opacity: 0.8;
  background-color: var(--mintgreen);
  border: 1px solid var(--tiffanyblue);
  color: var(--caribeancurrent);
  font-weight: 600;
}

/* Contact Button */
.button-contact {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--black);
  color: #F0F0FF;
  font-weight: 800;
  font-size: 20px;
  text-decoration: none !important;
  padding: 0px 24px;
  height: 40px;
  min-width: 64px;
  border-radius: 20px;
  box-sizing: border-box;
  transition: box-shadow 0.2s, background-color 0.2s;
  transition-property: opacity;
}

.button-contact:hover,
.button-contact:focus {
  text-decoration: none;
  opacity: 0.8;
  background-color: var(--periwinkle);
  color: var(--black);
  text-decoration: none;
  border-color: var(--caribeancurrent);
}

.terciarybutton {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: var(--caribeancurrent);
  font-weight: 500;
  font-size: 1.1em;
  height: 40px;
  min-width: 64px;
  box-sizing: border-box;
  transition: box-shadow 0.2s, background-color 0.2s;
  transition-property: opacity;
  padding-right: 40px;
}

.terciarybutton:hover,
.terciarybutton:active {
  text-decoration: none;
  opacity: 0.8;
  background-color: white;
  color: var(--caribeancurrent);
  font-weight: 600;
}

/* Link Styles */
a {
  color: black;
}

a:hover {
  text-decoration: underline;
}

a:active {
  text-decoration: underline;
}

/* Social Icons */
.social-icons a {
  display: inline-block;
  padding: 8px;
  width: 50px;
  height: 50px;
  text-decoration: none;
  font-size: 32px;
  color: #110022;
}

/* Go to top arrow link */
#myBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: transparent;
  padding: 10px 15px;
  text-decoration: none;
  border: none;
  border-radius: 5px;
  font-size: 1.5em;
}

#myBtn:hover {
  color: var(--black);
  text-decoration: none;
}

/* Layout styling */
.container {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  padding: 20px;
}

.containertittle {
  padding: 40px;
}

img {
  width: 100%;
}

.center {
  text-align: center;
}

/* header */
header {
  background-color: var(--periwinkle);
  position: fixed;
  width: 100%;
  padding: 10px 0 4px;
  z-index: 999;
}

.germanpro {
  background-color: white;
  position: fixed;
  width: 100%;
  padding: 10px 0 4px;
  z-index: 999;
}

header .container {
  display: flex;
  align-items: left;
  justify-content: space-between;
  flex-direction: column;
  gap: 10px;
}

/* CSS box shadow */
.css-box-shadow {
  border-radius: 3px;
  box-shadow: 0px 5px 15px 0px rgba(0, 0, 0, 0.35);
}

.css-box-shadow.germanpro {
  background: #f5f5f5;
  /* light gray background */
  padding: 20px 0;
  transition: all 0.3s ease;
  box-shadow: 0 -4px 12px rgba(128, 128, 128, 0.1), 0 4px 12px rgba(128, 128, 128, 0.1);
  /* shadows on top and bottom */
}

.logo {
  max-width: 150px;
}

/* MENU */
.navtoggle li:not(:last-child) {
  display: none;
}

.navtoggle.responsive li {
  display: block;
}

.navtoggle.responsive nav {
  padding: 24px 0 0;
}

.navtoggle.responsive li {
  padding: 10px 0;
}

.navtoggle.responsive li:last-child {
  padding: 0 0 10px;
}

.navtoggle,
.navtoggle.responsive {
  position: relative;
}

.navtoggle li .icon {
  position: absolute;
  right: 0;
  top: 2px;
  font-size: 20px;
  padding-right: 0;
}

nav>ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

nav>ul {
  margin: 0;
}

nav a {
  padding: 0 15px;
  text-transform: none;
  font-weight: 700;
  font-family: "Libre Baskerville", sans-serif;
  text-decoration: none;
  color: black;
}

nav ul li a {
  font-size: 16px;
}

nav a:visited {
  /* visited link */
  color: #110022;
}

nav a:active {
  color: var(--yale-blue);
}

nav a:hover,
nav a:focus {
  color: var(--russianviolet);
  font-family: "Libre Baskerville", sans-serif;
  text-decoration: underline var(--magnolia);
  font-size: 1.05em;
  background-color: transparent;
  padding: 0.1em 0.2em;
  box-decoration-break: clone;
  border-radius: 0.2em;
}

/* HERO SECTION */
#hero-section {
  background: #CCCCFF;
  background: -moz-linear-gradient(top, #CCCCFF 0%, #F0F0FF 0%, #FFFFFF 100%);
  background: -webkit-linear-gradient(top, #CCCCFF 0%, #F0F0FF 0%, #FFFFFF 100%);
  background: linear-gradient(to bottom, #CCCCFF 0%, #F0F0FF 0%, #FFFFFF 100%);
  padding: 20px 0;
}

#hero-section h1 {
  margin: 0;
  padding-top: 0.67em;
  text-align: left;
  color: var(--caribeancurrent);
  -webkit-text-stroke: 0.5px var(--mintgreen);
}

#gif {
  max-width: 260px;
  height: auto;
  display: block;
  filter: grayscale(100%);
  border-radius: 50%;
  margin: auto;
}

.hero-section span {
  margin-top: 10px;
  text-transform: none;
  font-size: 0.7em;
  font-weight: normal;
  font-style: italic;
  font-family: "Playfair Display", serif;
  display: block;
  color: black;
  letter-spacing: normal;
  word-spacing: 1px;
  text-align: left;
  -webkit-text-stroke: 0;
}

/* Animation for ins elements within the h1 with class "hero-section h1" */
.hero-section.h1 ins {
  position: relative;
  display: inline-block;
  text-decoration: none;
  z-index: 2;
}

/* Pseudo-element for ins tags */
.hero-section.h1 ins::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 90%;
  background: var(--mintgreen);
  z-index: -1;
  animation: ins-animation 1s ease-out 0.8s forwards;
  border-radius: 8px;
  padding: 0 2px;
}

/* Keyframes for ins animation */
@keyframes ins-animation {
  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}

.aboutme ins {
  font-weight: 500;
  font-size: 1.2em;
  background: -webkit-linear-gradient(#36013F, #103D3D);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: inline;
}

/* FLEX ITEMS */
.aboutme {
  padding: 0 20px;
  width: 100%;
  line-height: 1.7;
}

.aboutmebuttons {
  display: flex;
  /* Use Flexbox for alignment */
  justify-content: flex-end;
  /* Align content to the right */
  padding-right: 20px;
  /* Adds space between content and the right edge */
  padding-top: 20px;
}

@media (min-width: 768px) {
  .container.gif {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }

  /* FLEX CONTAINER */
  .container.hero {
    display: flex;
  }

  .aboutme {
    flex-grow: 1;
    padding-left: 80px;
  }

  #gif {
    max-width: 520px;
    height: auto;
  }
}

/* PROJECTS card list projects */
.container .card-list {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}

.card-list .card-item {
  background: white;
  padding: 24px;
  border-radius: 8px;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.04);
  list-style: none;
  cursor: pointer;
  text-decoration: none;
  border: 2px solid transparent;
  transition: border 0.5s ease;
}

.card-list .card-item:hover {
  border: 2px solid var(--midnightgreen);
}

.card-list .card-item img {
  width: 100%;
  border-radius: 8px;
  object-fit: cover;
}

.card-list span {
  display: inline-block;
  background: var(--palepurple);
  margin-top: 12px;
  padding: 8px 15px;
  font-size: 0.75rem;
  border-radius: 50px;
  font-weight: 600;
}

.highlight {
  font-weight: 500;
  color: var(--caribeancurrent);
}

.colored-underline {
  position: relative;
  display: inline-block;
  /* Necessary for the positioning of the pseudo-element */
  text-decoration: none;
  /* Remove default underline */
}

.colored-underline::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: -2px;
  /* Adjust as needed for positioning below the text */
  height: 3px;
  /* Thickness of the underline */
  background-image: linear-gradient(120deg, #CCCCFF 0%, #ACE6D5 100%);
  z-index: -1;
}


.card-list .developer {
  background-color: var(--periwinkle);
  color: var(--russianviolet);
}

.card-list .designer {
  background-color: #D2F6F7;
  color: #205c20;
}

.card-list .editor {
  background-color: #D2F6F7;
  color: #205c20;
}

.card-item h3 {
  color: var(--midnightgreen);
  font-size: 1.438rem;
  margin-top: 28px;
  font-weight: 600;
}

.card-item .arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  transform: rotate(-35deg);
  height: 40px;
  width: 40px;
  color: #000;
  border: 1px solid #000;
  border-radius: 50%;
  margin-top: 40px;
  transition: 0.2s ease;
}

.card-list .card-item:hover .arrow {
  background: var(--midnightgreen);
  color: white;
}

@media screen and (min-width: 640px) {
  .container .card-list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 980px) {
  .card-list {
    margin: 0 auto;
  }
}

.case-study .card-study {
  background: white;
  padding: 12px;
  border-radius: 8px;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.04);
  list-style: none;
  cursor: pointer;
  text-decoration: none;
  border: 2px solid transparent;
  transition: border 0.5s ease;
}

.case-study {
  display: flex;
  justify-content: center;
  margin-bottom: 24px;
}

.card-study {
  display: flex;
  align-items: center;
}

.arrows {
  display: flex;
  align-items: center;
  justify-content: center;
  transform: rotate(-35deg);
  height: 40px;
  width: 40px;
  color: #000;
  border: 1px solid #000;
  border-radius: 50%;
  margin-top: 40px;
  transition: 0.2s ease;
}

.case-study .card-study:hover .arrows {
  background: var(--midnightgreen);
  color: white;
}

.case-study span {
  display: inline-block;
  background: var(--palepurple);
  margin-top: 12px;
  padding: 8px 15px;
  font-size: 0.75rem;
  border-radius: 50px;
  font-weight: 600;
}


.image-column {
  flex: 0.7;
  padding: 12px;
}

.text-column {
  flex: 1.3;
  padding: 12px, 24px;
}

.project-image {
  max-width: 100%;
  height: auto;
}

@media (max-width: 768px) {
  .card-study {
    flex-direction: column;
  }

  .image-column,
  .text-column {
    flex: none;
    width: 100%;
  }
}

/* WHAT I DO INDEX */
/* colums WHAT I DO*/
.grid-container-marketing {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}

.text-contentindex {
  display: flex;
  flex-direction: column;
  /* Organiza los hijos en una fila */
  align-items: center;
  justify-content: center;
  height: 100%;
}

.services {
  border-radius: 50%;
  height: 140px;
  width: 140px;
}

.text-group {
  width: 75%;
  /* Set width to 80% of its container */
  margin: 0 auto;
  /* Center the .text-group horizontally in its container */
  text-align: center;
  /* Center the text within the .text-group */
  padding: 12px;
}

.custom-span {
  font-weight: 600;
  color: var(--periwinkle);
  font-size: 0.9em;
}

.service-item {
  border: 1px solid #ccc;
  padding: 20px;
  margin-bottom: 20px;
}

/* MAIN */
main {
  padding-top: 108.8px;
}

/* TESTIMONIALS */
.container.testimonials {
  position: relative;
  width: 100%;
  min-height: 800px;
  /* cambiar para pantallas más grandes */
}

.container.testimonials .contents-wraper {
  width: 100%;
  min-height: 650px;
  margin: auto;
  text-align: center;
  border-radius: 2rem;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}


.contents-wraper .testRow {
  width: 100%;
  min-height: inherit;
  position: relative;
  overflow: hidden;
}

.testRow .details {
  display: flex;
  flex-direction: column;
}

.testRow .testItem {
  width: 100%;
  height: 90%;
  position: absolute;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.testRow .testItem:not(.active) {
  top: 0;
  left: -100%
}

.icon img {
  padding-top: 30px;
  max-width: 45px;
  display: block;
  margin: 0 auto;
}

.testRow .testItem .name {
  margin-bottom: calc(0.3rem);
  font-size: calc(1rem + 0.5vmin);
  letter-spacing: calc(0.1rem + 0.1vmin);
  font-weight: bold;
}

.testRow .testItem .job {
  margin-bottom: calc(0.7rem + 0.5vmin);
  color: black;
}

.testRow .testItem p {
  width: 90%;
  text-align: center;
  margin-bottom: calc(1rem);
  color: gray (92, 92, 92);
  line-height: 1.2;
  letter-spacing: 1px;
}

.contents-wraper .indicators {
  position: relative;
  left: 50%;
  transform: translate(-50%);
  padding: 12px;
  cursor: pointer;
  padding-bottom: 30px;
}

.contents-wraper .indicators .dot {
  width: 20px;
  height: 20px;
  margin: 0px 3px;
  border: 3px solid var(--gray);
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.5s ease;
}

.contents-wraper .indicators .active {
  background-color: var(--mintgreen);
}

@keyframes next1 {
  from {
    left: 0%;
  }

  to {
    left: -100%;
  }
}

@keyframes next2 {
  from {
    left: 100%;
  }

  to {
    left: 0%;
  }
}

@keyframes prev1 {
  from {
    left: 0%;
  }

  to {
    left: 100%;
  }
}

@keyframes prev2 {
  from {
    left: -100%;
  }

  to {
    left: 0%;
  }
}

@media (min-width: 390px) {

  .container.testimonials .contents-wraper {
    min-height: 550px;
  }
}

@media (min-width: 639px) {
  .container.testimonials {
    min-height: 0;
  }

  .container.testimonials .contents-wraper {
    min-height: 500px;
  }
}

@media (min-width: 800px) {
  .container.testimonials .contents-wraper {
    min-height: 400px;
  }
}

/* Untangled project page */
.germanapp {
  padding: 20px;
  border-radius: 20px;
  background-color: var(--coral);
}

.germanapp p {
  color: white;
  font-size: 22px;
}

.germanappproblem {
  padding: 30px;
  border-radius: 20px;
  background-color: #ECF0FF;
  flex: 0 0 50%;
  display: flex;
  /* Asegura que "theproblem" se expanda completamente en altura */
  flex-direction: column;
  justify-content: center;
}

.germandetail {
  padding: 20px;
  border-radius: 20px;
  border: 4px solid #ECF0FF;
  flex: 0 50%;
  display: flex;
  flex-direction: column;
}

/* Untangled project page */
/* Intro*/
.centered-picture {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.centered-picture picture {
  display: flex;
  justify-content: center;
  align-items: center;
}

.centered-picture1 {
  display: flex;
  justify-content: center;
  align-items: center;
}

.centered-picture1 video {
  max-width: 300px;
  border-radius: 10px;
  /* Ajusta el valor del radio según tus necesidades */
}

.project-image {
  max-width: 90%;
  height: auto;
}

.introduction-wrap {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  gap: 32px;
}

.foto-emprendedores {
  padding: 20px;
  border-radius: 20px;
  border: 2px solid #ECF0FF;
  flex: 0 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.foto-emprendedores1 {
  border-radius: 20px;
  flex: 0 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.theproblem {
  padding: 30px;
  border-radius: 20px;
  background-color: #ECF0FF;
  flex: 0 0 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.theproblem1 {
  border-radius: 20px;
  flex: 0 0 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.features {
  font-weight: 450;
}

.description {
  font-weight: 500;
  color: var(--yale-blue);
}

.grid-proyect {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
}

.grid-item-project {
  padding: 24px;
  text-align: left;
}

.grid-proyect1 {
  display: grid;
  grid-gap: 12px;
  grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
  padding: 8px;
}

.grid-item-project1 {
  padding: 12px;
  background-color: var(--Hex);
  border-radius: 12px;
  text-align: center;
}

.grid-proyect2 {
  display: grid;
  grid-gap: 12px;
  grid-template-columns: repeat(auto-fill, minmax(230px, 1fr));
  padding: 8px;
}

.grid-item-project2 {
  padding: 12px;
  text-align: center;
}

.grid-proyect3 {
  display: grid;
  grid-gap: 12px;
  grid-template-columns: repeat(auto-fill, minmax(3fr));
  padding: 12px;
}

.grid-item-project3 {
  padding: 12px;
  text-align: center;
  border: 3px solid #FFEA9E;
  border-radius: 12px;
  background-color: var(--yellow-bus);
}

.grid-proyect4 {
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 1em;
}

.grid-item-project4 {
  text-align: center;
}

/* Media query for larger screens */
@media screen and (min-width: 800px) {
  .grid-proyect4 {
    grid-template-columns: 1fr 1fr;
  }
}

.project-logo {
  border-radius: 10px;
  max-width: 100%;
  height: auto;
}

.findings-logo {
  max-width: 230px;
  height: auto;
  align-items: start;
  justify-items: center;
}

@media (max-width: 640px) {
  .introduction-wrap {
    flex-direction: column;
  }

  .image-contentintro,
  .text-content {
    width: 100%;
    /* Ensure both take up the full width of their container */
    margin: 0 auto;
    /* Optional: centers them if they are smaller than the container's width */
  }

  .grid-proyect {
    grid-template-columns: repeat(1, auto);
    /* Two columns on screens wider than 768px */
  }
}

.aboutapp {
  padding: 20px;
  border-radius: 20px;
  border: 2px solid #f5f5f5;
}

/* Untangled - Emphasize */
.columnasf {
  display: flex;
  align-items: flex-start;
  /* Align items to the top */
  flex-wrap: wrap;
}

.columnf1 {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.columnf1 img {
  max-width: 100%;
  /* Ensures the image is responsive within its container */
  height: auto;
}

#columnf2 {
  flex: 3;
  padding: 20px;
}

@media (max-width: 768px) {

  .columnf1,
  #columnf2 {
    flex-basis: 100%;
    /* Take full width on small screens */
  }

  .columnf1 img {
    max-width: 50%;
    /* Ensures the image is responsive within its container */
    height: auto;
  }
}

/* Create four equal columns that floats next to each other */
.columnfindings {
  float: left;
  width: 50%;
  padding: 8px;
}

/* Clear floats after the columns */
.rowfindings:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .columnfindings {
    width: 100%;
  }
}

/* Style the tab */
.tab {
  display: grid;
  align-content: space-evenly;
  grid-template-columns: repeat(6, 1fr);
  gap: 10px
}

/* Style the buttons inside the tab */
.tab button {
  cursor: pointer;
  transition: 0.3s;
  color: var(--caribeancurrent);
  padding: 10px;
  border: 1px solid var(--tiffanyblue);
  border-radius: 5px;
  text-align: center;
  margin-right: 10px;
  font-size: 1.2em;
  margin-right: 10px;
  background-color: white;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: var(--caribeancurrent);
  color: white;
}

/* Create an active/current tablink class */
.tab button.active {
  color: white;
  background-color: var(--caribeancurrent);
  padding: 10px;
  border: 1px solid var(--caribeancurrent);
  border-radius: 5px;
  text-align: center;
  margin-right: 10px;
}

/* Style the tab content - case study  */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border-top: none;
}

.tabcontent:first-of-type {
  display: block;
}

/* Style the buttons topnav */
.topnav {
  display: grid;
  align-content: space-evenly;
  grid-template-columns: repeat(2, 1fr);
  gap: 0px;
}

.tablinks {
  background-color: transparent;
  color: var(--russianviolet);
  border: 1.5px solid var(--magnolia);
  /* Corrected line */
  float: left;
  outline: none;
  cursor: pointer;
  transition: 0.3s;
  font-size: 1.5em;
  font-weight: 500;
  font-family: "Playfair Display", sans-serif;
  padding: 14px 16px;
  text-align: center;
}

/* Change background color of buttons on hover */
.tablinks:hover {
  background-color: var(--magnolia);
  border: 1.5px solid var(--periwinkle);
}

/* Create an active/current tablink class */
.tablinks.active {
  background-color: var(--magnolia);
  border: none;
}

.scrollmenu {
  overflow: auto;
  white-space: nowrap;
  margin-left: -30px;
}

div.scrollmenu a {
  display: inline-block;
  color: white;
  text-align: center;
  padding: 14px;
  text-decoration: none;
}

.zoom-image {
  transition: transform 0.5s ease;
  display: block;
  max-width: 100%;
}

/* Untangled zoom images */

.img-unt {
  margin-bottom: 12px;
}

.img-unt:hover .zoom-image {
  transform: scale(1.1);
}

.img-unt1 {
  margin-bottom: 12px;
}

.img-unt1:hover .zoom-image {
  transform: scale(1.2);
}

.img-unt2 {
  display: grid;
  align-items: center;
}

.utesting-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  grid-column-gap: 1em;
  grid-row-gap: 1em;
}


/* Case Study */
.userresearch {
  border: 2px solid var(--magnolia);
  padding: 30px;
  border-radius: 20px;
}

.divider {
  height: 4px;
  background-color: white;
  margin: 10px 0;
  border-radius: 30px;
}

.solution {
  border: 2px solid var(--tiffanyblue);
  padding: 30px;
  border-radius: 20px;
}

.identifying {
  border: 2px solid var(--yellow-bus);
  padding: 30px;
  border-radius: 20px;
}

.prototype {
  border: 2px solid var(--magnolia);
  padding: 30px;
  border-radius: 20px;
}

.testing {
  border: 2px solid var(--yellow-bus);
  background-color: white;
  padding: 20px;
  border-radius: 20px;
}

.results {
  border: 2px solid var(--magnolia);
  padding: 30px;
  border-radius: 20px;
}

.conclusion {
  border: 2px solid var(--tiffanyblue);
  padding: 30px;
  border-radius: 20px;
}

.uxdesign {
  border: 2px solid white;
  padding: 24px;
  border-radius: 20px;
}

.marketing {
  border: 2px solid white;
  border-radius: 20px;
}

.time {
  border: 2px solid var(--tiffanyblue);
  padding: 30px;
  border-radius: 20px;
  margin-top: 20px;
}

.about {
  border: 2px solid var(--palepurple);
  padding: 30px;
  border-radius: 20px;
  margin-top: 20px;
}

/* Testing the solution */
.grid-container-usability {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 8px;
}

.grid-item-usability {
  padding: 24px;
}

.grid-item-usability h4 {
  text-align: center;
}


/* Media query for smaller screens */
@media (max-width: 768px) {
  .grid-container-usability {
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }

  .grid-item-usability {
    padding: 10px;
  }
}

/* Media query for even smaller screens */
@media (max-width: 480px) {
  .grid-container-usability {
    grid-template-columns: 1fr;
  }
}

/* Media query for even smaller screens */
@media (max-width: 480px) {
  .wireframes4 {
    width: 80%;
  }
}


/* Style the close button */
.grid-participant {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 10px;
  font-size: 0.8em;
}

/* thank you */
.foto-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
  gap: 100px;
  padding: 20px;
  box-sizing: border-box;
  max-width: 1200px;
  margin: 0 auto;
}

.foto-item img {
  width: 80%;
  height: auto;
  border-radius: 5px;
  transition: transform 0.3s;
}

.foto-item:hover img {
  transform: scale(1.07);
}

.text-and-image-container {
  display: flex;
  align-items: center;
}

.text {
  flex: 1;
}


/* My Role */
summary {
  border: 1px solid var(--mintgreen);
  padding: .75em 1em;
  padding-left: 1em;
  cursor: pointer;
  position: relative;
  padding-left: 20px;
  border-radius: 8px;
}

/* QUOTES UNTANGLED*/
.container.quote {
  display: flex;
  justify-content: center;
  align-items: center;
}

.card {
  position: relative;
  border: solid 3px var(--periwinkle);
  padding: 45px 50px 25px 60px;
  background-color: white;
  border-radius: 10px;
}

.card-p {
  position: relative;
  border: solid 5px white;
  padding: 20px;
  background-color: transparent;
  border-radius: 10px;
}

.post-txt {
  font-size: 20px;
  margin-bottom: 0;
  justify-content: center;
}

.quote-img {
  position: absolute;
  top: 24px;
  left: 24px;
  width: 30px;
  height: 30px;
}

.nice-img {
  font-size: 20px;
  /* adjust as needed */
  margin-bottom: 10.5px;
}

/* FOOTER */
footer {
  background-color: transparent;
  padding: 20px 0;
}

.social-media {
  padding: 20px;
}

#mail {
  padding-top: 20px;
}

/* work section*/
#work-section .row {
  color: var(--periwinkle);
}

.grid-container-ux {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  text-align: center;
}

.grid-container {
  display: flex;
  justify-content: center;
  /* Aligns children (iframes) horizontally in the center */
  flex-wrap: wrap;
  /* Allows items to wrap into the next line as needed */
  gap: 10px;
  /* Optional: Adds space between iframes */
}

/* about me page */
.beatriz-img {
  max-width: 210px;
  height: auto;
  border-radius: 20px;
  display: block;
  margin: auto;
  object-fit: contain;
  padding-right: 6px;
}

/* animation about me */
del,
ins {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

del:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: calc(50%);
  border-top: 1.5px solid var(--coral);
  transform: rotateZ(-5deg);
  animation: del 0.9s ease-in;
}

ins:after {
  content: "";
  /* required property */
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  animation: ins 1s ease-out;
  animation-delay: 0.8s;
  animation-fill-mode: forwards;
}

/* del animation */
@keyframes del {
  0% {
    width: 0;
  }

  100% {
    width: 100%;
  }
}

/* ins animation */
@keyframes ins {
  0% {
    width: 0;
    background: var(--yellow-bus);
    color: #000;
    z-index: -1;
  }

  100% {
    width: 100%;
    background: var(--yellow-bus);
    color: #000;
    z-index: -1;
  }
}

/* ==============================
Medium devices (640px and larger)
================================= */
@media only screen and (min-width: 640px) {
  body {
    font-size: 17px;
  }

  header .container {
    flex-direction: row;
  }

  /* mavigation menu */
  .navtoggle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .navtoggle li:not(:last-child) {
    display: inline-block;
  }

  .navtoggle li:last-child {
    display: none;
  }

  nav>ul {
    margin: 1em 0;
  }

  nav ul li {
    display: inline-block;
  }

  nav ul li a {
    font-size: 17px;
  }

  nav a:hover,
  nav a:focus {
    color: var(--russianviolet);
    font-family: "Libre Baskerville", sans-serif;
    text-decoration: none;
    font-size: 1.05em;
    background-color: var(--magnolia);
    padding: 0.1em 0.2em;
    box-decoration-break: clone;
    border-radius: 0.2em;
  }

  .logo {
    max-width: 190px;
  }

  .hero-section span {
    display: block;
  }

  /* colums index*/
  .col-md-6 {
    width: 50%;
  }

  .col-md-6 p {
    max-width: 230px;
    /* Cambia el valor según tus necesidades */
  }

  [class*="col-"] {
    float: left;
  }

  /* Column About me */
  .col-md-4 {
    width: 40%;
    flex: 1;
  }

  .col-md-8 {
    width: 60%;
    align-items: center;
    justify-content: center;
    flex: 2;
  }

  [class*="col-"] {
    float: left;
  }

  .row-skills::after {
    content: "";
    clear: both;
    display: table;
  }

  /* main */
  main {
    padding-top: 108.8px;
  }

  @keyframes float {
    0% {
      transform: translateY(0px);
    }

    50% {
      transform: translateY(-10px);
    }

    100% {
      transform: translateY(0px);
    }
  }

  /* About me page */
  .container.about-story {
    display: flex;
  }

  .about-button {
    font-size: 18px;
  }

  .market {
    padding: 20px;
    max-height: 500px;
    background-color: #FAFAFA;
    border-radius: 20px;
    box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.04);
  }

  .centered-picture1 {
    padding: 0px 40px;
  }
}

/* ==============================
Large devices (1024px or larger)
================================= */
@media only screen and (min-width: 1024px) {
  header .container {
    flex-direction: row;
  }

  body {
    font-size: 18px;
  }

  .logo {
    max-width: 220px;
  }

  main {
    padding-top: 132.13px;
  }

  nav ul li a {
    font-size: 20px;
  }

  #hero-section {
    padding: 24px;
  }

  /* colums*/
  .col-md-6 p {
    max-width: 400px;
  }

  .iframe-container {
    width: 100%;
    height: 1000px;
  }

  .problem-section {
    padding-top: 8px;
  }

  ul.role {
    margin-left: 10px;
  }

  .about-button {
    font-size: 19px;
  }

  .centered-picture1 {
    padding: 0px 100px;
  }

  .grid-container-marketing {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }
}

/* ==============================
X-large devices (1440px or larger)
================================= */
@media only screen and (min-width: 1440px) {

  body {
    font-size: 20px;
  }

  .logo {
    max-width: 300px;
  }

  main {
    padding-top: 161.2px;
  }

  ul li a {
    font-size: 24px;
  }

  .paragraph-participant {
    font-size: 18px;
    text-align: left;
  }

  .button {
    font-size: 20px;
  }

  .about-button {
    font-size: 20px;
  }
}

/* ==============================
Extra-large devices (1920px or larger)
================================= */
@media only screen and (min-width: 1920px) {
  .flex-container-participants {
    grid-template-columns: repeat(3, 1fr);
  }

  .paragraph-participant {
    font-size: 18px;
    text-align: center;
  }
}

/* Estilo para case study "GermanPro" */
.container.german {
  background: black;
  color: #fff;
  text-align: center;
  border: 20px solid #fff;
  border-radius: 30px;
}

.container.german h1 {
  color: var(--coral);
}

.container.german a {
  color: white;
}

.container.img {
  color: white;
}


/* Estilo para case study "Untangled" */
/* Portada untangled*/
.container.intro {
  text-align: center;
  border: 20px solid #fff;
  border-radius: 30px;
}

.banner-link-block {
  text-decoration: none;
  display: inline-block;
  margin-bottom: 20px;
  color: var(--black);
  /* Color del enlace */
}

.banner-link-block img {
  width: 16px;
  height: 16px;
  margin-right: 8px;
}

.banner-content-wrap h1 {
  letter-spacing: 1px;
}

.banner-link-block {
  display: flex;
  /* Use flexbox to layout items horizontally */
  align-items: center;
  /* Vertically align items in the middle */
}

.banner-link-block img {
  margin-right: 10px;
  /* Add some margin to separate the image and text */
}

.intro span {
  display: inline-block;
  margin-top: 12px;
  font-size: 1.2rem;
  font-weight: 700;
  color: var(--gray);
}

/* My slogan */
@keyframes analyticalColorChange {
  0% {
    color: var(--russian-violet);
  }

  50% {
    color: var(--periwinkle);
  }

  100% {
    color: var(--english-violet);
  }
}

.analytical {
  font-weight: bold;
  animation: analyticalColorChange 3s infinite;
  display: inline-block;
}

/* contact */
.circle-wrapper {
  position: relative;
  width: 140px;
  height: 140px;
  float: left;
  margin: 10px;
}

.icon-hi {
  position: absolute;
  color: black;
  font-size: 18px;
  top: 70px;
  left: 70px;
  transform: translate(-50%, -50%);
}

.circle {
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  padding: 2.5px;
  background-clip: content-box;
  animation: spin 10s linear infinite;
}

.circle-wrapper:active .circle {
  animation: spin 2s linear infinite;
}

.success {
  background-color: var(--palepurple);
  border: 2.5px dashed var(--palepurple);
}

@keyframes spin {
  100% {
    transform: rotateZ(360deg);
  }
}

.page-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* My Skills */
.row1-container {
  display: flex;
  flex-wrap: wrap;
}

.row1-container h5 {
  width: fit-content;
  padding: 5px 15px;
  border-radius: 28px;
  margin: 10px;
  background-color: var(--mintgreen);
  color: var(--caribeancurrent);
}

/* Responsive Design: For smaller screens, make each box take full width */
@media screen and (max-width: 600px) {
  .box {
    flex-basis: 100%;
  }
}

.iframe-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 20px;
}

/* German Pro */
.germanproapp {
  font-size: 2.2em;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 100%;
  background: #7C43DC;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: var(--size) var(--size);
  background-position: 0 0;
  animation: stripes 1s linear infinite;
}

/* User Research */

.accordion-germanpro {
  background-color: #eee;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  margin-bottom: 5px; /* Add spacing between buttons */
}

/* Styles for active button and hover */
.active, .accordion-germanpro:hover {
  background-color: #ccc; 
}

/* Panel styles */
.panel {
  padding: 0 18px;
  display: none;
  background-color: white;
  overflow: hidden;
}

.accordion-germanpro:first-of-type {
  background-color: #ccc;
}

.accordion-germanpro:first-of-type + .panel {
  display: block; /* Show the first panel by default */
}

/* Media Queries for responsiveness */
@media screen and (max-width: 600px) {
  .accordion-germanpro {
    padding: 15px; /* Reduce padding for mobile */
  }
}

@media screen and (max-width: 400px) {
  .accordion-germanpro {
    padding: 12px; /* Reduce padding further */
  }
}

.finding {
  align-items: center;
  background-color: #fff;
  border-radius: 8px;
  padding: 12px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out;
}

.finding:hover {
  transform: scale(1.05);
}

.icon-germanpro {
  margin-right: 15px;
  color: #2980b9;
}

.text {
  flex-grow: 1;
}

.text strong {
  font-size: 1.1rem;
  color: #2980b9;
}

.text p {
  color: #7f8c8d;
}

.text p b {
  color: #2c3e50;
}

@media (max-width: 768px) {
  .container {
    width: 95%;
  }

  .icon {
    font-size: 2rem;
  }

  .text strong {
    font-size: 1rem;
  }
}

.participants-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 20px;
  /* Space between the items */
  padding: 20px;
}

@media (max-width: 768px) {
  .participants-grid {
    grid-template-columns: 1fr 1fr;
    /* 2 columns for smaller screens (tablets) */
  }
}

@media (max-width: 480px) {
  .participants-grid {
    grid-template-columns: 1fr;
    /* 1 column for very small screens (mobile) */
  }
}

/* Style for each participant */
.participant {
  background: #f9f9f9;
  border-radius: 10px;
  padding: 15px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
  flex-direction: column;
}

div.scroll-container {
  overflow: auto;
  white-space: nowrap;
  padding: 10px;
}

div.scroll-container div {
  display: inline-block;
  width: 600px;
  /* Ancho de cada bloque */
  height: 400px;
  /* Altura de cada bloque */
  margin-right: 10px;
  /* Espaciado entre bloques */
  background-color: #f2f2f2;
  color: #333;
  text-align: center;
  line-height: 400px;
  /* Centra el texto verticalmente */
  font-size: 24px;
  font-weight: bold;
}

